%define module  %pdir-%pnam  
%define	pdir	Text
%define	pnam	Iconv
%define name	perl-%pdir-%pnam
%define version 1.7
%define release %mkrel 12

Summary:	Text::Iconv perl module
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel >= 5.6.1
Url:		http://search.cpan.org/dist/%{module}

%description
This module provides a Perl interface to the iconv() codeset
conversion function, as defined by the Single UNIX Specification. For
more details see the POD documentation embedded in the file Iconv.pm,
which will also be installed as Text::Iconv(3) man page.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{makeinstall_std} INSTALLDIRS=vendor

%{__rm} -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorarch}/Text
%{perl_vendorarch}/Text/Iconv.pm
%dir %{perl_vendorarch}/auto/Text
%dir %{perl_vendorarch}/auto/Text/Iconv
%{perl_vendorarch}/auto/Text/Iconv/autosplit.ix
%{perl_vendorarch}/auto/Text/Iconv/*.so
%{_mandir}/man3/*






%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.7-12.mga4
+ Revision: 525005
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.7-11.mga4
+ Revision: 431820
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.7-10.mga3
+ Revision: 374110
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.7-9.mga3
+ Revision: 251228
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.7-8.mga2
+ Revision: 105047
- Rebuild for perl 5.14

* Wed Jan 19 2011 jquelin <jquelin> 1.7-7.mga1
+ Revision: 23786
- rebuild

* Mon Jan 17 2011 spuhler <spuhler> 1.7-6.mga1
+ Revision: 20836
- removed buildroot definition from .spec

  + jquelin <jquelin>
    - imported package perl-Text-Iconv


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.7-6mdv2011.0
+ Revision: 564585
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.7-5mdv2011.0
+ Revision: 556167
- rebuild for perl 5.12

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.7-4mdv2010.1
+ Revision: 426595
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.7-3mdv2009.0
+ Revision: 224243
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.7-2mdv2008.1
+ Revision: 151323
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 21 2007 Funda Wang <fwang@mandriva.org> 1.7-1mdv2008.1
+ Revision: 100853
- update to new version 1.7

* Sat Oct 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.6-1mdv2008.1
+ Revision: 98005
- update to new version 1.6

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.5-1mdv2008.0
+ Revision: 77702
- update to new version 1.5


* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 19:18:56 (54152)
- rebuild

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 19:16:31 (54147)
Import perl-Text-Iconv

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.4-3mdk
- Fix SPEC according to Perl Policy
	- Source URL
	- URL
- use mkrel

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 1.4-2mdk
- Rebuild for new perl

* Tue Jul 20 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.4-1mdk
- 1.4

* Thu Jul 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3-1mdk
- 1.3

* Thu Aug 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2-6mdk
- Fix dir owners

